Get the current workspace
GET
/v1/workspaceconst workspace = await bird.workspace.get();
console.log(workspace.id, workspace.name); // "ws_…" "Production"workspace = client.workspace.get()
print(workspace.id, workspace.name)workspace, err := client.Workspace.Get(context.Background())
if err != nil {
log.Fatal(err)
}
fmt.Println(workspace.Id, workspace.Name)$workspace = $bird->workspace->get();
echo $workspace->getId() . ' ' . $workspace->getName() . PHP_EOL;bird workspace getcurl -X GET "https://us1.platform.bird.com/v1/workspace" \
-H "Authorization: Bearer $TOKEN"Antwort200
{
"id": "ws_01krdgeqcxet5s7t44vh8rt9mg",
"organization_id": "org_01krdgeqcxet5s7t44vh8rt9mg",
"name": "Production",
"notification_emails": {
"operational": [
"alerts@example.com"
]
},
"created_at": "2026-05-20T09:14:52Z",
"updated_at": "2026-05-25T16:42:01Z"
}
Returns the workspace the current credentials are scoped to: its ID, name, the ID of the organization that owns it, and its notification and logo settings. The organization's own name and members are not included. Requires at least read access to the workspace.
Antwort-Payload
idstring
erforderlich
organization_idstring
erforderlich
namestring
erforderlich
notification_emailsobject
erforderlich
logo_urlnullable string
HTTPS URL to the current workspace logo. null when unset.
created_atstring
erforderlich
updated_atstring
erforderlich
Verwandte Ressourcen
Weiter mit der Dokumentation, Anleitungen und Beispielen zu diesem Thema.